Summary:	A Universal Instant Messanging Client
Name:		everybuddy
Version:	0.4.3
Release:	20021107cvs
License:	GPL
Group:		Internet
Packager:       linuxkid <linux@peanutlinux.org>
Source0:	http://www.everybuddy.com/files/%{name}.tar.bz2
Source1:        %{name}.desktop
Patch0:		%{name}.patch
URL:		http://www.everybuddy.com/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Everybuddy is designed to become a Universal Instant Messaging client
desigend to seamlessly integrate all existing Instant Messaging
clients and provide a single consistant user interface. Currently,
Everybuddy supports sending and reciveing messages in AOL, ICQ, Yahoo,
MSN and Jabber. IRC support is possibly planned to be incorporated in
future releases.

cvs -z3 -d ':pserver:anonymous@anthy.dev.stir.ac.uk:/var/lib/cvs' co everybuddy

%prep
%setup -q -n %{name}
%patch0 -p1

%build
#gen
%configure \
	--enable-xft \
	--enable-oscar \
	--disable-msn \
	--enable-msn2 \
	--disable-yahoo \
	--enable-yahoo2 \
	--disable-zephyr \
	--enable-krb4 \
	--disable-arts \
	--disable-panel \
	--without-gnome-includes \
	--without-gnome-libs \
	--without-gnome \
	--disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :
	
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin
/usr/man
/usr/share/peanut
/usr/share/everybuddy
/usr/share/sounds
